# processPropertyValues method

Future<PropertyValues?> processPropertyValues(

1. PropertyValues pvs,
2. Object pod,
3. Class podClass,
4. String name,

)

Post-process the given property values before the factory applies them to the given pod.

This callback allows for resolving additional dependencies or modifying existing property values before they are applied to the pod.

## Parameters

- `pvs`: The property values that the factory is about to apply
- `pod`: The pod instance created
- `podClass`: The class of the pod
- `name`: The name of the pod

## Return Value

Returns the actual property values to apply to the given pod, or null to skip property population entirely.

## Implementation

    Future<PropertyValues?> processPropertyValues(PropertyValues pvs, Object pod, Class podClass, String name) async => pvs;